Index: Makefile.am
===================================================================
RCS file: /server/cvs-server/squid/squid/Makefile.am,v
retrieving revision 1.13
diff -u -w -r1.13 Makefile.am
--- Makefile.am	31 Aug 2002 13:16:13 -0000	1.13
+++ Makefile.am	29 Sep 2002 08:50:32 -0000
@@ -8,6 +8,7 @@
 SUBDIRS		= lib @makesnmplib@ scripts src icons errors doc helpers
 
 DISTCLEANFILES = include/stamp-h include/stamp-h[0-9]*
+DEFAULT_PINGER		= $(libexecdir)/pinger$(EXEEXT)
 
 dist-hook:
 	@ for subdir in "include"; do \
@@ -35,5 +36,5 @@
 	bootstrap.sh
 
 install-pinger:
-	chown root $(libexecdir)/pinger$(EXEEXT)
-	chmod 4711 $(libexecdir)/pinger$(EXEEXT)
+	chown root $(DEFAULT_PINGER) 
+	chmod 4711 $(DEFAULT_PINGER)
Index: configure.in
===================================================================
RCS file: /server/cvs-server/squid/squid/configure.in,v
retrieving revision 1.285
diff -u -w -r1.285 configure.in
--- configure.in	20 Sep 2002 10:56:56 -0000	1.285
+++ configure.in	29 Sep 2002 08:50:33 -0000
@@ -372,7 +372,6 @@
     case "$fs" in
     diskd)
         STORE_MODULE_SUBDIRS="$STORE_MODULE_SUBDIRS $fs"
-	OPT_DISKD_EXE='diskd$(EXEEXT)'
 	;;
     aufs)
 	if test -z "$with_pthreads"; then
@@ -390,7 +389,6 @@
 done
 AC_SUBST(STORE_MODULES)
 AC_SUBST(STORE_MODULE_SUBDIRS)
-AC_SUBST(OPT_DISKD_EXE)
 
 
 dnl --enable-heap-replacement compability option
@@ -438,19 +436,15 @@
 REPL_LIBS="`echo $REPL_OBJS|sed -e 's%repl/%%g'`"
 AC_SUBST(REPL_LIBS)
 
-OPT_PINGER=''
-OPT_PINGER_EXE=''
+AM_CONDITIONAL(ENABLE_PINGER, false)
 AC_ARG_ENABLE(icmp,
 [  --enable-icmp           Enable ICMP pinging],
 [ if test "$enableval" = "yes" ; then
     echo "ICMP enabled"
     AC_DEFINE(USE_ICMP)
-    OPT_PINGER='pinger'
-    OPT_PINGER_EXE='pinger$(EXEEXT)'
+    AM_CONDITIONAL(ENABLE_PINGER, true)
   fi
 ])
-AC_SUBST(OPT_PINGER)
-AC_SUBST(OPT_PINGER_EXE)
 
 AM_CONDITIONAL(USE_DELAY_POOLS, false)
 AC_ARG_ENABLE(delay-pools,
@@ -835,12 +829,8 @@
 ])
 if test "$use_dnsserver" = "yes"; then
     AC_DEFINE(USE_DNSSERVERS)
-    OPT_DNSSERVER_EXE='dnsserver$(EXEEXT)'
     AM_CONDITIONAL(USE_DNSSERVER, true)
-else
-    OPT_DNSSERVER_EXE=''
 fi
-AC_SUBST(OPT_DNSSERVER_EXE)
 
 AC_ARG_ENABLE(truncate,
 [  --enable-truncate       This uses truncate() instead of unlink() when
Index: src/Makefile.am
===================================================================
RCS file: /server/cvs-server/squid/squid/src/Makefile.am,v
retrieving revision 1.32
diff -u -w -r1.32 Makefile.am
--- src/Makefile.am	26 Sep 2002 21:13:52 -0000	1.32
+++ src/Makefile.am	29 Sep 2002 08:50:33 -0000
@@ -39,11 +39,15 @@
 if ENABLE_UNLINKD
 UNLINKDSOURCE = unlinkd.c
 UNLINKD = unlinkd
-UNLINKD_EXE = unlinkd$(EXEEXT)
 else
 UNLINKDSOURCE = 
 UNLINKD = 
-UNLINKD_EXE =
+endif
+
+if ENABLE_PINGER
+PINGER = pinger
+else
+PINGER = 
 endif
 
 if ENABLE_SSL
@@ -79,7 +83,7 @@
 	squidclient
 
 libexec_PROGRAMS = \
-	@OPT_PINGER@ \
+	$(PINGER) \
 	$(DNSSERVER) \
 	$(UNLINKD) \
 	cachemgr$(CGIEXT)
@@ -282,16 +286,16 @@
 DEFAULT_PREFIX		= $(prefix)
 DEFAULT_CONFIG_FILE     = $(sysconfdir)/squid.conf
 DEFAULT_MIME_TABLE	= $(sysconfdir)/mime.conf
-DEFAULT_DNSSERVER       = $(libexecdir)/@OPT_DNSSERVER_EXE@
+DEFAULT_DNSSERVER       = $(libexecdir)/pinger$(EXEEXT}
 DEFAULT_LOG_PREFIX	= $(localstatedir)/logs
 DEFAULT_CACHE_LOG       = $(DEFAULT_LOG_PREFIX)/cache.log
 DEFAULT_ACCESS_LOG      = $(DEFAULT_LOG_PREFIX)/access.log
 DEFAULT_STORE_LOG       = $(DEFAULT_LOG_PREFIX)/store.log
 DEFAULT_PID_FILE        = $(DEFAULT_LOG_PREFIX)/squid.pid
 DEFAULT_SWAP_DIR        = $(localstatedir)/cache
-DEFAULT_PINGER		= $(libexecdir)/@OPT_PINGER_EXE@
-DEFAULT_UNLINKD		= $(libexecdir)/$(UNLINKD_EXE)
-DEFAULT_DISKD		= $(libexecdir)/@OPT_DISKD_EXE@
+DEFAULT_PINGER		= $(libexecdir)/pinger$(EXEEXT)
+DEFAULT_UNLINKD		= $(libexecdir)/unlinkd$(EXEEXT)
+DEFAULT_DISKD		= $(libexecdir)/diskd$(EXEEXT)
 DEFAULT_ICON_DIR	= $(datadir)/icons
 DEFAULT_ERROR_DIR	= $(datadir)/errors/@ERR_DEFAULT_LANGUAGE@
 DEFAULT_MIB_PATH	= $(datadir)/mib.txt
